---
title: Window.ondeviceproximity
slug: Web/API/Window/ondeviceproximity
tags:
  - API
  - Event Handler
  - Experimental
  - NeedsMarkupWork
  - Property
  - Proximity Events
  - Reference
  - Window
---
<p>{{ ApiRef() }}{{obsolete_header}}</p>

<p>The <code><strong>ondeviceproximity</strong></code> property of the {{domxref("Window")}} interface specifies an {{domxref("EventHandler")}} to receive {{event("deviceproximity")}} events. These events occur when the device sensor detects that an object becomes closer to or farther from the device.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>window</em>.onuserproximity = <em>funcRef</em></pre>

<p>Where <code><em>funcRef</em></code> is a function to be called when the {{event("deviceproximity")}} event occurs. These events are of type {{domxref("DeviceProximityEvent")}}.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.ondeviceproximity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("deviceproximity")}}</li>
 <li>{{domxref("DeviceProximityEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Proximity">Proximity API</a></li>
</ul>
